function $AdfOfflineDataTransferService$$($domWindow$$63$$) {
  this.Init($domWindow$$63$$);
}
$goog$exportSymbol$$("AdfOfflineDataTransferService", $AdfOfflineDataTransferService$$);
$goog$exportSymbol$$("AdfOfflineDataTransferService", $AdfOfflineDataTransferService$$);
$AdfObject$$.$createSubclass$($AdfOfflineDataTransferService$$, $AdfDataTransferService$$);
$AdfOfflineDataTransferService$$.prototype.$pageUnloading$ = function $$AdfOfflineDataTransferService$$$$$pageUnloading$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.pageUnloading", {$pageUnloading$:$AdfOfflineDataTransferService$$.prototype.$pageUnloading$});
$AdfOfflineDataTransferService$$.prototype.$sendRequest$ = function $$AdfOfflineDataTransferService$$$$$sendRequest$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.sendRequest", {$sendRequest$:$AdfOfflineDataTransferService$$.prototype.$sendRequest$});
$AdfOfflineDataTransferService$$.prototype.$sendPollingRequest$ = function $$AdfOfflineDataTransferService$$$$$sendPollingRequest$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.sendPollingRequest", {$sendPollingRequest$:$AdfOfflineDataTransferService$$.prototype.$sendPollingRequest$});
$AdfOfflineDataTransferService$$.prototype.$sendMultiPartRequest$ = function $$AdfOfflineDataTransferService$$$$$sendMultiPartRequest$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.sendMultiPartRequest", {$sendMultiPartRequest$:$AdfOfflineDataTransferService$$.prototype.$sendMultiPartRequest$});
$AdfOfflineDataTransferService$$.prototype.$sendStreamingRequest$ = function $$AdfOfflineDataTransferService$$$$$sendStreamingRequest$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.sendStreamingRequest", {$sendStreamingRequest$:$AdfOfflineDataTransferService$$.prototype.$sendStreamingRequest$});
$AdfOfflineDataTransferService$$.prototype.$streamingResponsesOutstanding$ = function $$AdfOfflineDataTransferService$$$$$streamingResponsesOutstanding$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.streamingResponsesOutstanding", {$streamingResponsesOutstanding$:$AdfOfflineDataTransferService$$.prototype.$streamingResponsesOutstanding$});
$AdfOfflineDataTransferService$$.prototype.$processStreamingResponse$ = function $$AdfOfflineDataTransferService$$$$$processStreamingResponse$$() {
  this.$_warn$();
};
$AdfOfflineDataTransferService$$.prototype.processStreamingResponse = $AdfOfflineDataTransferService$$.prototype.$processStreamingResponse$;
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.processStreamingResponse", {$processStreamingResponse$:$AdfOfflineDataTransferService$$.prototype.$processStreamingResponse$});
$AdfOfflineDataTransferService$$.prototype.$notifyStreamingRequestComplete$ = function $$AdfOfflineDataTransferService$$$$$notifyStreamingRequestComplete$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.notifyStreamingRequestComplete", {$notifyStreamingRequestComplete$:$AdfOfflineDataTransferService$$.prototype.$notifyStreamingRequestComplete$});
$AdfOfflineDataTransferService$$.prototype.$addStateChangeListener$ = function $$AdfOfflineDataTransferService$$$$$addStateChangeListener$$() {
};
$AdfOfflineDataTransferService$$.prototype.addStateChangeListener = $AdfOfflineDataTransferService$$.prototype.$addStateChangeListener$;
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.addStateChangeListener", {$addStateChangeListener$:$AdfOfflineDataTransferService$$.prototype.$addStateChangeListener$});
$AdfOfflineDataTransferService$$.prototype.$removeStateChangeListener$ = function $$AdfOfflineDataTransferService$$$$$removeStateChangeListener$$($listener$$94$$, $instance$$18$$) {
  $AdfAssert$$.$assertFunction$($listener$$94$$);
  $AdfAssert$$.$assertObjectOrNull$($instance$$18$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.removeStateChangeListener", {$removeStateChangeListener$:$AdfOfflineDataTransferService$$.prototype.$removeStateChangeListener$});
$AdfOfflineDataTransferService$$.prototype.$suspend$ = function $$AdfOfflineDataTransferService$$$$$suspend$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.suspend", {$suspend$:$AdfOfflineDataTransferService$$.prototype.$suspend$});
$AdfOfflineDataTransferService$$.prototype.$resume$ = function $$AdfOfflineDataTransferService$$$$$resume$$() {
  this.$_warn$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.resume", {$resume$:$AdfOfflineDataTransferService$$.prototype.$resume$});
$AdfOfflineDataTransferService$$.prototype.$getDTSState$ = function $$AdfOfflineDataTransferService$$$$$getDTSState$$() {
  return $AdfDataTransferService$$.$STATE_READY$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOfflineDataTransferService.prototype.getDTSState", {$getDTSState$:$AdfOfflineDataTransferService$$.prototype.$getDTSState$});
$AdfOfflineDataTransferService$$.prototype.$_warn$ = function $$AdfOfflineDataTransferService$$$$$_warn$$() {
  $AdfLogger$$.$LOGGER$.warning("Call to DataTransferService when offline at" + $AdfAssert$$.$getStackString$());
};
